var http = require('http');

var k2c = function(k) {
  return Math.round((k - 273.15) * 100) / 100;
}

var getWeatherData = function(lat, lon, callback) {
  var processResponse = function(response) {
    var data = '';
    var getChunk = function(chunk) { data += chunk; }
    
    response.on('data', getChunk);
    response.on('end', function() { callback(data); })
  }
  
  var url = 'http://api.openweathermap.org/data/2.5/weather?lat=' + lat + '&lon=' + lon + '&APPID=93eb44b1abe574ded720feb1f1599567';
  http.get(url, processResponse);
}

var parseWeatherData = function(rawData) {
  var data = JSON.parse(rawData);
  return {
    temperature: k2c(data.main.temp),
    condition: data.weather[0].description
  };
}

var sendWeatherData = function(res, data) {
  res.json(this.parseWeatherData(data));
}

var weather = function(req, res, next) {
  var lat = req.query.lat;
  var lon = req.query.lon;
  
  var self = this;
  self.getWeatherData(lat, lon, function(data) {
    self.sendWeatherData(res, data);
  });
}

exports.k2c = k2c;
exports.getWeatherData = getWeatherData;
exports.parseWeatherData = parseWeatherData;
exports.sendWeatherData = sendWeatherData;
exports.weather = weather;